{% extends 'base.html.twig' %}

{% block title %}Address index{% endblock %}

{% block body %}
    <h1>Address index</h1>
    {{ form(form) }}
    <table class="table">
        <thead>
            <tr>
                <th>Numéro Rue</th>
                <th>Rue</th>
                <th>Code postale</th>
                <th>Ville</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for address in addresses %}
            <tr>
                <td>{{ address.numRue }}</td>
                <td>{{ address.rue }}</td>
                <td>{{ address.postalCode }}</td>
                <td>{{ address.town }}</td>
                <td>
                    <a href="{{ path('address_show', {'id': address.id}) }}">Afficher</a>
                    <a href="{{ path('address_edit', {'id': address.id}) }}">Modifier</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">Aucune adresse trouvée</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('address_new') }}">Créer une nouvelle adresse</a>
{% endblock %}
